Next: RANK, Previous: RANDOM_SEED, Up: Intrinsic Procedures

### 8.202 `RANGE` — Decimal exponent range

Description:
  `RANGE(X)` returns the decimal exponent range in the model of the type of `X`.
Standard:
  Fortran 95 and later
Class:
  Inquiry function
Syntax:
  `RESULT = RANGE(X)`
Arguments:

  X | Shall be of type `INTEGER`, `REAL` or `COMPLEX`.

Return value:
  The return value is of type `INTEGER` and of the default integer kind.
See also:
  SELECTED_REAL_KIND, PRECISION
Example:
  See `PRECISION` for an example.